Summary:	A modern multi-purpose calculator library
Summary(pl.UTF-8):	Nowoczesna, wielozadaniowa biblioteka kalkulatora
Name:		libqalculate
Version:	0.9.7
Release:	4
License:	GPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/qalculate/%{name}-%{version}.tar.gz
# Source0-md5:	a1507ab862f4ad9852788619aada35cd
Patch0:		pkgconfig_private.patch
Patch1:		currencies.patch
URL:		http://qalculate.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cln-devel >= 1.3
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.0.0
BuildRequires:	intltool
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 1:2.3.8
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A modern multi-purpose calculator library.

%description -l pl.UTF-8
Nowoczesna, wielozadaniowa biblioteka kalkulatora.

%package devel
Summary:	Header files for qalculate library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qalculate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cln-devel >= 1.1
Requires:	glib2-devel >= 1:2.0.0
Requires:	libxml2-devel >= 1:2.3.8

%description devel
Header files for qalculate library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qalculate.

%package static
Summary:	Static qalculate library
Summary(pl.UTF-8):	Statyczna biblioteka qalculate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static qalculate library.

%description static -l pl.UTF-8
Statyczna biblioteka qalculate.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted my .pc file
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libqalculate.la

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/qalc
%attr(755,root,root) %{_libdir}/libqalculate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqalculate.so.5
%{_datadir}/qalculate

%files devel
%defattr(644,root,root,755)
%{_libdir}/libqalculate.so
%{_includedir}/%{name}
%{_pkgconfigdir}/libqalculate.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libqalculate.a
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libqalculate.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5d6bf2a
- rebuild with readline 7.0
- release 4 (by relup.sh)

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 1002106
- EEK has fixed rate to EUR since 2011

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> f4c8c79
- rel 3

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 0cdd8cd
- add pkgconfig_private.patch from fedora

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 2f76005
- adapter, rm .la, verbose files in system dirs

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> 599b54b
- cleanup docdir for rpm install
- rel 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d5e3fd0
- updated gettext BR

* Fri Jun 25 2010 pawelz <pawelz@pld-linux.org> 4d74ce7
- rel decreased to 1

* Fri Jun 25 2010 pawelz <pawelz@pld-linux.org> 6aa140e
- by Daniel Dawid Majewski <light-i@o2.pl>:
- Version up to 0.9.7
- Remove patch0 - changes applied in upstream

* Thu May 13 2010 sparky <sparky@pld-linux.org> 302b214
- BR: gettext-devel, intltool

* Sun Mar 28 2010 shadzik <shadzik@pld-linux.org> d939ba1
- bump up cln version

* Fri Jan 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb69eed
- release 2

* Thu Oct 08 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 70af813
- builds with autotools patch

* Thu Oct 08 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 066a055
- patch from debian

* Tue Jun 19 2007 Robert Tomasik <rotom@pld-linux.org> 60903aa
- up to 0.9.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bf32420
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 07506bf
- converted to UTF-8

* Sat Jun 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 8fee28c
- -devel deps
- removed gmp-devel, zlib-devel BRs (only indirect deps)

* Sat Jun 10 2006 Jakub Bogusz <qboosh@pld-linux.org> a14c334
- typos

* Sat Jun 03 2006 Adam Gołębiowski <adamg@pld-linux.org> c4acc6f
- new (qalculate-kde.spec yet to be done)

